Bug 155466 - multimedia/xbmc: Update to 10.1
Summary: multimedia/xbmc: Update to 10.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ganael LAPLANCHE
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-11 11:40 UTC by mickael.maillot
Modified: 2011-03-16 13:12 UTC (History)
0 users

See Also:


Attachments
file.diff (53.47 KB, patch)
2011-03-11 11:40 UTC, mickael.maillot
no flags Details | Diff
patch-xbmc.txt (3.77 KB, patch)
2011-03-15 07:29 UTC, Ganael LAPLANCHE
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mickael.maillot 2011-03-11 11:40:11 UTC
update XBMC to 10.1

Fix: Patch attached with submission follows:
Comment 1 Ganael LAPLANCHE freebsd_committer 2011-03-11 14:04:53 UTC
Responsible Changed
From-To: freebsd-ports-bugs->martymac

I will take care of it.
Comment 2 Ganael LAPLANCHE freebsd_committer 2011-03-15 07:29:36 UTC
Hi Mickael,

Thanks for your contribution ! Please can you check that the attached patch is 
OK ? It is a modified version of your patch with the following changes :

- removed empty patches
- removed useless LICENSE_FILE (the license is a standard GPLv2)
- removed useless PORTREVISION

If so, I'll apply this one.

Best regards,

-- 
Ganael LAPLANCHE <ganael.laplanche@martymac.org>
http://www.martymac.org | http://contribs.martymac.org
FreeBSD: martymac <martymac@FreeBSD.org>, http://www.FreeBSD.org
Comment 3 mickael.maillot 2011-03-15 11:08:06 UTC
Hi,

2011/3/15 Ganael Laplanche <martymac@freebsd.org>:
> Thanks for your contribution ! Please can you check that the attached patch is
> OK ? It is a modified version of your patch with the following changes :
>
> - removed empty patches
> - removed useless LICENSE_FILE (the license is a standard GPLv2)
> - removed useless PORTREVISION
>
> If so, I'll apply this one.

it's good for me, successfully tested.
also can you add this small patch from Juergen Lock nox at jelal.kn-bremen.de
thanks


And I just saw the xbmc port now has a wrong lirc dependency:
(RUN_DEPENDS doesn't parse shlib names like LIB_DEPENDS does,
and also xbmc doesn't actually need the lib just the lirc daemon.)

 HTH,
       Juergen

Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/multimedia/xbmc/Makefile,v
retrieving revision 1.7
diff -u -p -r1.7 Makefile
--- Makefile    10 Mar 2011 20:21:46 -0000      1.7
+++ Makefile    12 Mar 2011 15:45:25 -0000
@@ -149,7 +149,7 @@ CONFIGURE_ARGS+=    --disable-hal
 .endif

 .if defined(WITH_LIRC)
-RUN_DEPENDS+=  lirc_client.2:${PORTSDIR}/comms/lirc
+RUN_DEPENDS+=  lircd:${PORTSDIR}/comms/lirc
 .endif

 .if !defined(WITHOUT_MMS)
Comment 4 dfilter freebsd_committer 2011-03-16 13:03:17 UTC
martymac    2011-03-16 13:03:07 UTC

  FreeBSD ports repository

  Modified files:
    multimedia/xbmc      Makefile distinfo pkg-descr pkg-plist 
    multimedia/xbmc/files patch-xbmc__Application.cpp 
  Log:
  - Update to 10.1
  - Fix lirc dependency
  - Convert libXtst dependency to the correct USE_XORG value
  - Remove useless LICENSE_FILE
  
  PR:             ports/155466
  Submitted by:   Mickael Maillot <mickael.maillot@gmail.com>
  Approved by:    ehaupt (mentor)
  
  Revision  Changes    Path
  1.8       +4 -7      ports/multimedia/xbmc/Makefile
  1.2       +2 -2      ports/multimedia/xbmc/distinfo
  1.2       +7 -7      ports/multimedia/xbmc/files/patch-xbmc__Application.cpp
  1.2       +1 -1      ports/multimedia/xbmc/pkg-descr
  1.4       +1 -0      ports/multimedia/xbmc/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Ganael LAPLANCHE freebsd_committer 2011-03-16 13:12:00 UTC
State Changed
From-To: open->closed

Committed with minor changes, thanks!